if (process.env.NODE_ENV === 'production') {
  module.exports = {
    outputDir: 'lib',
    css: {
      extract: false
    },
    configureWebpack: {
      entry: {
        index: './src/index.js'
      },
      output: {
        filename: 'index.js',
        libraryTarget: 'umd'
      },
      externals: {
        vue: {
          root: 'Vue',
          commonjs: 'vue',
          commonjs2: 'vue',
          amd: 'vue'
        }
      }
    },
    chainWebpack(config) {
      config.entryPoints.delete('app')
      config.plugins.delete('hmr')
      config.plugins.delete('html')
      config.plugins.delete('copy')
      config.plugins.delete('preload')
      config.plugins.delete('prefetch')
      config.optimization.delete('splitChunks')
    }
  }
}
